Please read [Contributing.md](https://gitlab.com/dlr-ve/esy/amiris/amiris/-/blob/main/CONTRIBUTING.md) in the repository. 
Please follow instructions given there on how to contribute.

## Definition of Done

A feature can be **closed**, once it has been

- implemented
- tested
- documented in JavaDoc
- documented in wiki
- reviewed by two other team members
- merged to main

## Project Environment

We recommend to use [Eclipse](https://www.eclipse.org/) for AMIRIS development. An Eclipse project is included in the repository.

## Model Architecture

to be added

## Versioning

The overall theme of naming tags in the AMIRIS group repository is **Landmarks**. The following schemes apply for the different projects within the group:
| project | tag name scheme |
|---------|-----------------|
| amiris | [Volcanoes](https://www.vulkane.net/blogmobil/welcher-vulkan-eruptiert-aktuell/vulkan-liste/)  |
| examples | n/a |

Tags names are to be chosen in alphabetical order (i.e. starting with "A"). For each new major version number (a.**x**.b) the first letter of the tag name is increased (to "B", "C", etc.). For each new minor revision number (a.b.**x**) the first letter stays the same, but a new scheme-specific name is chosen, increasing in alphabetical order.